not Working with Eclipse 3.1.2

ragerino
Posts: 6
Joined: Fri Apr 28, 2006 12:24 pm

not Working with Eclipse 3.1.2

Postby ragerino » Fri Apr 28, 2006 12:28 pm

Hi,

I wanted to try FastTrack but when i start Eclipse i receive several Errors.

Other Plugins I have installed:
    Subversive
    MyEclipse-IDE
    Oxygen-XML

JiriWalek
Posts: 49
Joined: Fri May 05, 2006 3:05 pm

Re: not Working with Eclipse 3.1.2

Postby JiriWalek » Fri May 05, 2006 3:09 pm

Hello,

we are sorry, but as mentioned in the FastTrack project page the intial 0.9.0 version requires Eclipse SDK 3.1.(1|2).

The future versions would support Eclipse 3.2.
Jiri Walek
jiri.walek@polarion.com
Polarion Software

webfxmasta
Posts: 1
Joined: Thu May 11, 2006 1:28 pm
Contact:

Re: not Working with Eclipse 3.1.2

Postby webfxmasta » Thu May 11, 2006 1:32 pm

JiriWalek wrote:Hello,

we are sorry, but as mentioned in the FastTrack project page the intial 0.9.0 version requires Eclipse SDK 3.1.(1|2).

The future versions would support Eclipse 3.2.


ragerino said version 3.1.2......
-Kenny

JiriWalek
Posts: 49
Joined: Fri May 05, 2006 3:05 pm

Re: not Working with Eclipse 3.1.2

Postby JiriWalek » Mon May 15, 2006 9:15 am

Hello, sorry for that misunderstanding

webfxmasta wrote:
JiriWalek wrote:Hello,

we are sorry, but as mentioned in the FastTrack project page the intial 0.9.0 version requires Eclipse SDK 3.1.(1|2).

The future versions would support Eclipse 3.2.


ragerino said version 3.1.2......


We test FastTrack over Version 3.1.2 too.

ragerino can you look to .metadata/.log and send us the log files to fasttack-bugs@polarion.org

After we analyze where the problem is we would announce that here.
Jiri Walek

jiri.walek@polarion.com

Polarion Software

vine
Posts: 1
Joined: Thu Apr 13, 2006 4:46 pm

Re: not Working with Eclipse 3.1.2

Postby vine » Tue May 16, 2006 6:49 am

I also got several errors after installing FastTrack and the only solution I found was to uninstall Subversive (which was a newer version than the one provided with FastTrack).
Hope this helps.

JiriWalek
Posts: 49
Joined: Fri May 05, 2006 3:05 pm

Re: not Working with Eclipse 3.1.2

Postby JiriWalek » Tue May 16, 2006 1:26 pm

vine wrote:I also got several errors after installing FastTrack and the only solution I found was to uninstall Subversive (which was a newer version than the one provided with FastTrack).
Hope this helps.


Hello, thank you for pointing this, you are right.
FastTrack 0.9.0 depends on the bundled Subversive M9, you have to uninstall previous version of Subversive before instaling FastTrack.
We will update installation instructions so this would be clear for new users.

We do not plan to publish FastTrack service releases with new version of Subversive.
Instead we do plan to provide stable integration builds of FastTrack 1.0 soon. This version would be build against new up-to-date Subversive Milestone build and users would be able give us the feedback to new features like:
* project administration (defining categories, timepoints,...)
* query builder
* workitem history view
* ...
Jiri Walek

jiri.walek@polarion.com

Polarion Software

hefter
Posts: 3
Joined: Fri May 19, 2006 12:33 pm

Postby hefter » Fri May 19, 2006 12:49 pm

Where is that
.metadata/.log ??

Frank

hefter
Posts: 3
Joined: Fri May 19, 2006 12:33 pm

Postby hefter » Fri May 19, 2006 3:24 pm

Found it.

terano
Posts: 2
Joined: Fri Jun 23, 2006 9:08 am
Contact:

Fasttrack caused my Eclipse to behave weirdly

Postby terano » Fri Jun 23, 2006 9:43 am

I've just gave Fasttrack 0.9.0 a try after using Subversive 1.0.0 M9. I was successful to install Subversive and I must say that its features are very impressive. So it's natural to get Fasttrack installed. However, it's a bad exprerience coz' now my IDE always show up error dialog each time I click on anywhere at Navigator or Editor views.

Here is the detail description of my situation:

1. I am using Eclipse 3.1.0, JDK build 1.6.0-beta-b59g
Before Subversive, I got used to Subclipse and it's current version is 1.0.2
Now I am running Eclipse with both Subclipse and Subversive. They're

2. I registered for Fasttrack's license, and saved under ECLIPSE_HOME/configuration.

3. I downloaded Fastrack and install it as Archived Update Site, then restarted Eclipse as suggested.

4. Opened Fasttrack Perspective. Oopps. Nothing appeared, except a blank window. Well, I was running GCJ instead of JDK.

So just exit to have Eclipse started with JDK 1.6. Ok, now I see "Create New Tracker Project" item. But aaaaaaaaaaaaaaaaaa. Eclipse popup a GTK fatal error, recomended to restart Eclipse. I did follow, but supprisingly.... Eclipse constantly throws at me error dialog (as described above).

Well, I tried to look at .log messages but couldn't understand the root cause. I intended to remove both Fasttrack and Subversive to get rid of this, but... who know. You, guys may have a proper way to deal with such a bad situation.

BTW, I also send you my .log file for further investigation of my case. Thank you very much.

zachara
Posts: 14
Joined: Wed May 24, 2006 8:06 am

Send me your error log

Postby zachara » Mon Jun 26, 2006 7:27 pm

Hello Terano,
please sent your error logs files to fasttrack-bugs@polarion.org again, because i haven't anythink received yet.
Btw. try to install fasttrack from update site into a new eclipse enviroment as a first plugin. If your problem persist, send to fasttrack-bugs@polarion.org your error logs from new enviroment.
Best regards,
Andrej Zachar
Polarion Team

terano
Posts: 2
Joined: Fri Jun 23, 2006 9:08 am
Contact:

Re: Send me your error log

Postby terano » Wed Jun 28, 2006 3:22 am

Thank you zachara,

Though I guess that your advice might work, but that's inconvinient and risky because:

+ First, it's no sweat to have Fasttrack up with a fresh Eclipse installation. But the matter here is that I don't wanna lose my old working environtment with plenty of customized settings. Once I lose them, it's time consuming to reconfigure (even if Eclipse is equipted with import capabilities)

+ Second, not many developers were lucky to try Fasttrack as first plugin. Then, it's nice to try Fasttrack with a temporary Eclipse put somewhere, but they will return soon to their old IDE for serious tasks.

BTW, I did send you log message but I had received error response

Code: Select all

   ----- The following addresses had permanent fatal errors -----
<fasttack-bugs@polarion.org>
    (reason: 550 5.1.1 Mailbox <fasttack-bugs@polarion.org> does not exist)

   ----- Transcript of session follows -----
... while talking to gate.islandia.cz.:
>>> DATA
<<< 550 5.1.1 Mailbox <fasttack-bugs@polarion.org> does not exist
550 5.1.1 <fasttack-bugs@polarion.org>... User unknown
<<< 503 5.5.1 Need RCPT (recipient)


Nevertheless, I've just sent you again. Hopefully you will soon get it.

Regards,

zachara
Posts: 14
Joined: Wed May 24, 2006 8:06 am

java.lang.NoClassDefFoundError:

Postby zachara » Wed Jul 05, 2006 7:41 am

Hello,
thank you for your log file. Please understand that we need to find problem and therefore we need to know how it works if you have only fasttrack installed due to some eclipse bugs. Otherwise i could be hard to find solution.

For now, please try backup first whole ~/.eclipse folder. Than remove following folder:
~/.eclipse/org.eclipse.platform_3.1.x/configuration/org.eclipse.osgi
and backup your workspace/.metadata folder also cleanup log files in your workspace.
Finally try to run eclipse again. If your problem persist, please send us a new log.

BTW: Following error log means that you have to install mozilla (urpmi mozilla) or export MOZILLA_FIVE_HOME location.

Code: Select all

!ENTRY org.eclipse.ui 4 0 2006-06-23 15:11:58.319
!MESSAGE No more handles [Unknown Mozilla path (MOZILLA_FIVE_HOME not set)]
!STACK 0
org.eclipse.swt.SWTError: No more handles [Unknown Mozilla path (MOZILLA_FIVE_HOME not set)]

For more information see: http://www.karakas-online.de/forum/viewtopic.php?t=4267
Best regards,

Andrej Zachar

Polarion Team


Return to “FastTrack - Tracking deeply integrated in Eclipse IDE”

Who is online

Users browsing this forum: No registered users and 1 guest